## Loading Shared Libraries

## Usage

    library.dynam(chname, package = .packages(), lib.loc = .lib.loc)

## Arguments

`chname` | a character string naming a shared library to load.
`package` | a character vector with the names of packages to search through.
`lib.loc` | a character vector describing the location of R library trees to search through.

## Description

`library.dynam` loads the specified (shared) object file if it has not been loaded already. It is designed to be used inside a package rather than at the command line, and should really only be used inside `.First.lib()`. The system-specific extension for shared libraries (e.g., ```.so''' on Unix systems) should not be added.

## Value

The `.Dyn.libs` vector with the names of packages which have used `library.dynam(..)` in the current R session.

It is returned as `invisible`, unless the `chname` argument is missing.

Users should never set `.Dyn.libs` directly.

## See Also

`.First.lib`, `library`, `dyn.load`, `.packages`, `.lib.loc`

## Examples

    library.dynam()# which packages have been ``dynamically loaded''

[Package Contents]